function imagealias = reducek(rawfull, reduc );
%
%   Down-sample the k-space data.
%
%   Input:
%   rawfull     :  full k-space data
%   reduc       :  reduction factor
%
%   Output:
%   imagealias  :  aliased image resulted from the under-sampled
%                  k-space data.                  
%

FOV = size(rawfull,1);
coiln = size(rawfull,3);

raw = zeros(FOV,FOV,coiln);
imagealias = zeros(FOV,FOV,coiln);

for y = 1:FOV/reduc
    raw(y*reduc,:,:) = rawfull(y*reduc,:,:);
end

for m = 1:coiln
    imagealias(:,:,m) = fft2((raw(:,:,m)));
end